* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    user-select: none;
  }
  
  body {
    font-family: "Helvetica Neue", sans-serif;
    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  
  .display {
    height: 250px;
    width: 100%;
    text-align: right;
    padding: 20px;
    font-size: 100px;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
  }

  .calculator {
    background-color: black;
    border-radius: 50px;
    color: white;
    height: 840px;
    width: 500px;
    padding: 20px;
    position: relative;
  }
  
  .previous-display {
    opacity: 0.5;
    font-size: 50px;
    overflow: hidden;
  }
  
  .buttons-container {
    display: grid;
    grid-gap: 10px;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(5, 1fr);
  }
  
  .button {
    align-items: center;
    background-color: #333;
    border-radius: 50%;
    cursor: pointer;
    display: flex;
    font-size: 45px;
    height: 100px;
    width: 100px;
    justify-content: center;
    transition: filter .3s;
  }
  
  .function {
    color: black;
    background: #a5a5a5;
  }
  
  .operator {
    background: #f1a33c;
  }
  
  .button.number-0 {
    grid-column: 1 / span 2;
    justify-content: flex-start;
    padding-left: 43px;
    width: 215px;
    border-radius: 55px;
  }
  
  .button:active,
  .button:focus {
    filter: brightness(120%)
  }
  
  .button:hover {
    opacity: 0.5;
  }